## Number of Spokes
# The number of spokes.


import sys	# imported to get the command line arguments.


# If there are too few arguments then one of the fields must not have
# been filled out.
if len(sys.argv) < 3:
    sys.stderr.write("Please fill out all fields.")
    exit(1)			# Exit with status 1

file_name = sys.argv[1]		# The file to which to output the sgf code.

n = 0  #number of vertices

try:
	# Attempts to set the number of vertices in set 1
	n = int(sys.argv[2])
except:
	# If m is not a number (contains non-numeric characters).
	sys.stderr.write("The number of spokes must be a positive integer.")
	exit(1)

# n must be an integer in [2,60]
if n < 1 or n>60 :
	sys.stderr.write("The number of vertices must be a postitive integer between 1 and 60.");
	exit(1)

vertices =  n + 1
edges = n

from math import *

output = open(file_name, 'w')
output.write(str(vertices) + " " + str(edges) + "\n")

#write edge configurations
for i in range(2, vertices + 1):
	output.write("1 " + str(i) + "\n");

#write locations in circle
output.write("400 300\n")
for k in range(n):
	x = int(round(cos(2*pi*k/(n))*20)*10 + 400)
	y = int(round(sin(2*pi*k/(n))*20)*10 + 300)
   	output.write(str(x) + " " + str(y) + "\n")

output.close()
